#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cipher-aes
version: 0.2.11
id: cipher-aes-0.2.11-9c565dabd00fcb2055522864a6339bed
key: ciphe_B1hicmKApVV3M3W3qABNaW
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-cipher-aes
synopsis: Fast AES cipher implementation with advanced mode of operations
description:
    Fast AES cipher implementation with advanced mode of operations.
    .
    The modes of operations available are ECB (Electronic code book),
    CBC (Cipher block chaining), CTR (Counter), XTS (XEX with ciphertext stealing),
    GCM (Galois Counter Mode).
    .
    The AES implementation uses AES-NI when available (on x86 and x86-64 architecture),
    but fallback gracefully to a software C implementation.
    .
    The software implementation uses S-Boxes, which might suffer for cache timing issues.
    However do notes that most other known software implementations, including very popular
    one (openssl, gnutls) also uses similar implementation. If it matters for your
    case, you should make sure you have AES-NI available, or you'\''ll need to use a different
    implementation.
    .
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Crypto.Cipher.AES
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/cipher-aes-0.2.11
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/cipher-aes-0.2.11
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/cipher-aes-0.2.11
hs-libraries: HScipher-aes-0.2.11-B1hicmKApVV3M3W3qABNaW
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    byteable-0.1.1-bfa09dbd630209bae1d4ccf4d6372eb1
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    crypto-cipher-types-0.0.9-097a5094d192614ffc08d3ad800431d4
    securemem-0.1.9-cd8629741844146b929e92615894b5f3
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/cipher-aes-0.2.11/html/cipher-aes.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/cipher-aes-0.2.11/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
